Package org.apache.wiki.filters

# Class CreoleFilter

java.lang.Object
org.apache.wiki.api.filters.BasePageFilter
org.apache.wiki.filters.CreoleFilter

All Implemented Interfaces:
  `PageFilter`

public class CreoleFilter extends BasePageFilter

Provides the Implementation for mixed mode creole: If you activate this filter, it will translate all markup that was saved as creole markup to JSPWiki markup. Therefore the files will be saved with mixed markup.

WARNING: There's no turning back after installing this filter. Since your wiki pages are saved in Creole markup you can not deactivate it afterwards.

WARNING: This feature is completely experimental, and is known to be broken. Use at your own risk.

WARNING: The CreoleFilter feature is deprecated. JSPWiki is likely to implement a non-mixed mode Creole at some point, since turning on Creole will make new pages obsolete.

See Also:
  - [[WikiCreole:MixedMode]]

## Field Summary

### Fields inherited from class org.apache.wiki.api.filters.BasePageFilter

`m_engine`

## Constructor Summary

Constructors
Constructor
Description
`CreoleFilter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(Engine engine, Properties props)`
`String`
`preSave(Context wikiContext, String content)`
`String`
`preTranslate(Context wikiContext, String content)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.api.filters.PageFilter

`destroy, postSave, postTranslate`

## Constructor Details

### CreoleFilter

public CreoleFilter()

## Method Details

### initialize

public void initialize(Engine engine, Properties props) throws FilterException

Specified by:
  `initialize` in interface `PageFilter`
Overrides:
  `initialize` in class `BasePageFilter`
Throws:
  `FilterException`

### preSave

public String preSave(Context wikiContext, String content)

### preTranslate

public String preTranslate(Context wikiContext, String content)